<body style="
    height: 100vh;
    padding: 50px;
    box-sizing: border-box;
">
    <div id="red-div" style="background-color: red;width: 100%;height: 100%;display: flex;">
        <div id="blue-div" style="background-color: blue;width: 50%;position: relative;height: 100%;display: flex;justify-content: center;align-items: center;">
            <div id="yellow-div" style="background-color: yellow;width: 100px;height: 50px;"></div>
            <div id="grey-div" style="background-color: grey;width: 120px;height: 60px;position: absolute;left: 20px;bottom: 20px;"></div>
        </div>
        <div style="
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
">
            <div id="brown-div" style="background-color: brown;width: 100%;height: 50%;display: flex;justify-content: flex-end;/* position: relative; */padding: 20px;box-sizing: border-box;">
                <div id="orange-div" style="background-color: orange;height: 50px;width: 100px;/* position: absolute; *//* right: 20px; *//* top: 20px; */"></div>
            </div>
            <div id="green-div" style="background-color: green;width: 100%;height: 50%;"></div>
        </div>
    </div>

</body>